
%define gtk2_version 2.2.0
%define gnome_panel 2.2.0
%define rdesktop_version 1.3.0
%define vnc_version 4.0
%define desktop_file_utils_version 0.4

Summary: Client for VNC and Windows Terminal Server
Name: tsclient
Version: 0.150
Release: 6%{?dist}
URL: http://www.gnomepro.com/tsclient/
Source0: http://www.gnomepro.com/tsclient/%{name}-%{version}.tar.gz
License: GPL+
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

Requires: gtk2 >= %{gtk2_version}
Requires: rdesktop >= %{rdesktop_version}
Requires: vnc >= %{vnc_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: gnome-panel-devel >= %{gnome_panel}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: gettext
BuildRequires: perl(XML::Parser)

Patch0: quick-pick.patch

%description
tsclient is a frontend that makes it easy to use rdesktop and vncviewer.
You will need to install rdesktop or vnc in addition to tsclient.

%prep
%setup -q
%patch0 -p1 -b .quick-pick

%build

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

desktop-file-install --vendor tsclient --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications               \
  --remove-category X-Red-Hat-Base                            \
  --add-category Utility 	                              \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/application-registry/*.applications
%{_datadir}/mime-info/tsclient*
%{_datadir}/man/man*/*
%{_datadir}/applications/*.desktop
%{_libdir}/bonobo/servers/GNOME_TSClientApplet.server
%{_libexecdir}/tsclient-applet

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.150-6
- Autorebuild for GCC 4.3

* Tue Oct 16 2007 Matthias Clasen <mclasen@redhat.com> - 0.150.5
- Don't crash when saving a connection  (#333461)

* Tue Oct  2 2007 Matthias Clasen <mclasen@redhat.com> - 0.150.4
- Require vnc, too (#158658)
- Fix license field

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.150-3
- Rebuild for selinux ppc32 issue.

* Sat Jul  7 2007 Matthias Clasen <mclasen@redhat.com> - 0.150-2
- Fix a directory ownership issue

* Fri Jun 15 2007 Matthias Clasen <mclasen@redhat.com> - 0.150-1
- Update to 0.150
- Readd the applet

* Sun Oct 29 2006 Matthias Clasen <mclasen@redhat.com> - 0.148-6
- Add the Utility category to make the menuitem show up (#212891)

* Tue Oct 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.148-5
- Make the close button in the about dialog work (#203857)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.148-4
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Matthias Clasen <mclasen@redhat.com> - 0.148-3
- Don't include the applet, since it does not work (#206776)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.148-2.1
- rebuild

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> - 0.148-2
- Add missing BuildRequires

* Tue Jun  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.148-1
- Update to 0.148

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.140-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.140-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Oct  2 2005 Matthias Clasen <mclasen@redhat.com> 0.140-1
- Update to newer upstream version
- Fix a segfault (#169694)

* Mon Apr 25 2005 Matthias Clasen <mclasen@redhat.com> 0.132-6
- Make the icon appear in the "Add to Panel" dialog

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 0.132-5
- Rebuild with gcc4

* Tue Aug 17 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- fix require lines

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 19 2004 Mark McLoughlin <markmc@redhat.com> 0.132-2
- Add to the menus - bug #99570

* Wed Feb 18 2004 Mark McLoughlin <markmc@redhat.com> 0.132-1
- Update to 0.132
- Add rdesktop dependancy - see bug #114769

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Aug 29 2003 Jeremy Katz <katzj@redhat.com> 0.120-1
- 0.120

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May  1 2003 Elliot Lee <sopwith@redhat.com> 0.104-2
- buildrequires: gnome-panel

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 0.104-1
- 0.104

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- no word "applet" in the menus

* Wed Jan  8 2003 Jeff Johnson <jbj@redhat.com> 0.76-2
- don't include -debuginfo files in package.

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- 0.76

* Sat Dec 14 2002 Havoc Pennington <hp@redhat.com>
- and 0.74 comes out mere hours later... ;-)

* Sat Dec 14 2002 Havoc Pennington <hp@redhat.com>
- 0.72
- fix description

* Thu Dec 12 2002 Havoc Pennington <hp@redhat.com>
- Initial build.
